#
# spec file for package ghc-temporary
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name temporary

Name:           ghc-temporary
Version:        1.2.0.4
Release:        1.2
Summary:        Haskell portable temporary file and directory support
License:        BSD-3-Clause
Group:          System/Libraries

Url:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
# End cabal-rpm deps

%description
The functions for creating temporary files and directories in the base library are quite limited. The unixutils
package contains some good ones, but they aren't portable to Windows.
This library just repackages the Cabal implementations of its own temporary file and folder functions so that
you can use them without linking against Cabal or depending on it being installed.

#' Help EMACS syntax highlighting.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       ghc-compiler
Requires(post): ghc-compiler
Requires(postun): ghc-compiler
Requires:       %{name} = %{version}-%{release}

%description devel
The functions for creating temporary files and directories in the base library are quite limited. The unixutils
package contains some good ones, but they aren't portable to Windows.
This library just repackages the Cabal implementations of its own temporary file and folder functions so that
you can use them without linking against Cabal or depending on it being installed.

#' Help EMACS syntax highlighting.


%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Tue Jan 26 2016 mimi.vx@gmail.com
- update to 1.2.0.4
* Wed Apr 22 2015 mimi.vx@gmail.com
- update to 1.2.0.3
  * no upstream changelog
* Thu Nov 13 2014 peter.trommler@ohm-hochschule.de
- update to 1.1.2.5
  * compatibility with Haskell Platform 2014.2.0.0
  * no upstream changelog
* Mon Oct 21 2013 sbahling@suse.com
- spec file: Add %%defattr(-,root,root,-) to %%files devel section
* Wed May 15 2013 peter.trommler@ohm-hochschule.de
- update to 1.1.2.4 from upstream
  * adjust library version bounds to ghc 7.6 libs
* Thu Jun  7 2012 peter.trommler@ohm-hochschule.de
- cabal2spec 0.25.5 spec file template
* Mon Mar 12 2012 peter.trommler@ohm-hochschule.de
- fixed exclusive arch tag
* Mon Mar 12 2012 peter.trommler@ohm-hochschule.de
- initial packaging.
